Bug 986567 - Review Request:cinnamon-control-center - Utilities to configure the Cinnamon desktop
Review Request:cinnamon-control-center - Utilities to configure the Cinnamon ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-20 15:14 EDT by leigh scott
Modified: 2014-01-13 08:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 10:41:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description leigh scott 2013-07-20 15:14:02 EDT
Spec URL: http://leigh123linux.fedorapeople.org/pub/review/cinnamon-control-center/1/cinnamon-control-center.spec

SRPM URL: http://leigh123linux.fedorapeople.org/pub/review/cinnamon-control-center/1/cinnamon-control-center-1.9.0-0.1.git430927a.fc19.src.rpm

Description: This package contains configuration utilities for the Cinnamon desktop, which
allow to configure accessibility options, desktop fonts, keyboard and mouse
properties, sound setup, desktop theme and background, user interface
properties, screen resolution, and other settings.

Fedora Account System Username: leigh123linux
Comment 1 Wolfgang Ulbrich 2013-07-22 13:18:38 EDT
Those lines can savely removed, no need for this anymore.

Requires(post): desktop-file-utils >= %{desktop_file_utils_version}
Requires(post): shared-mime-info
Requires(postun): desktop-file-utils >= %{desktop_file_utils_version}
Requires(postun): shared-mime-info

Does creating this directory not cause a package conflict with c-c from gnome ?

# we do want this
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/wm-properties

And does c-c-c really create those directories ?

# we don't want these
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/autostart
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/cursor-fonts

Is that configure flag really needed?

CFLAGS="$RPM_OPT_FLAGS -Wno-error"

Pls check desktop-file-install!
cinnamon-control-center.desktop.in.in has already OnlyShowIn=GNOME; entry.
Same for all other desktop files except cinnamon-sound-applet.desktop.in which installs in /etc/xdg/autostart. 

desktop-file-install --delete-original                  \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications         \
  --add-only-show-in GNOME                              \
  $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop
Comment 4 Wolfgang Ulbrich 2013-07-24 06:18:15 EDT
APPROVED !

Please remove needless update-mime-database and update-desktop-database scriptlets, there are no mime types in desktop files and no file is installed in /usr/share/mime.

And notice upstream about incorrect FSF addresses!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- update-desktop-database is invoked when required
  Note: desktop file(s) in cinnamon-control-center
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

Fault positive, the desktop file doesn't contain any mime type.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: %config files are marked noreplace or the reason is justified.
     Note: No (noreplace) in %config /etc/xdg/autostart/cinnamon-sound-
     applet.desktop %config /etc/xdg/menus/cinnamoncc.menu
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[-]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in cinnamon-
     control-center-filesystem
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later) (with incorrect FSF address)", "LGPL (v2 or
     later)", "GPL (v2 or later)", "Unknown or generated", "MIT/X11 (BSD
     like)", "LGPL (v2 or later) (with incorrect FSF address)", "ISC", "GPL
     (v2) (with incorrect FSF address)", "GPL (v2 or later) (with incorrect
     FSF address)", "GPL (v2.1 or later)". 22 files have unknown license.
     Detailed output of licensecheck in /home/rave/986567-cinnamon-control-
     center/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked when required
     Note: icons in cinnamon-control-center
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 9594880 bytes in /usr/share 10240
     cinnamon-control-center-filesystem-1.9.0-0.3.git430927a.fc20.x86_64.rpm
     9584640 cinnamon-control-center-1.9.0-0.3.git430927a.fc20.x86_64.rpm
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: cinnamon-control-center-1.9.0-0.3.git430927a.fc20.x86_64.rpm
          cinnamon-control-center-filesystem-1.9.0-0.3.git430927a.fc20.x86_64.rpm
          cinnamon-control-center-devel-1.9.0-0.3.git430927a.fc20.x86_64.rpm
cinnamon-control-center.x86_64: W: conffile-without-noreplace-flag /etc/xdg/menus/cinnamoncc.menu
cinnamon-control-center.x86_64: W: conffile-without-noreplace-flag /etc/xdg/autostart/cinnamon-sound-applet.desktop

Not applicable!

cinnamon-control-center.x86_64: W: no-manual-page-for-binary cinnamon-sound-applet
cinnamon-control-center.x86_64: W: no-manual-page-for-binary cinnamon-control-center
cinnamon-control-center.x86_64: W: desktopfile-without-binary /usr/share/applications/cinnamon-user-accounts-panel.desktop cinnamon-settings
cinnamon-control-center.x86_64: W: desktopfile-without-binary /usr/share/applications/cinnamon-color-panel.desktop cinnamon-settings
cinnamon-control-center.x86_64: W: desktopfile-without-binary /usr/share/applications/cinnamon-display-panel.desktop cinnamon-settings
cinnamon-control-center.x86_64: W: desktopfile-without-binary /usr/share/applications/cinnamon-region-panel.desktop cinnamon-settings
cinnamon-control-center.x86_64: W: desktopfile-without-binary /usr/share/applications/cinnamon-network-panel.desktop cinnamon-settings
cinnamon-control-center.x86_64: W: desktopfile-without-binary /usr/share/applications/cinnamon-sound-nua-panel.desktop cinnamon-settings
cinnamon-control-center.x86_64: W: desktopfile-without-binary /usr/share/applications/cinnamon-power-panel.desktop cinnamon-settings
cinnamon-control-center.x86_64: W: desktopfile-without-binary /usr/share/applications/cinnamon-universal-access-panel.desktop cinnamon-settings
cinnamon-control-center-filesystem.x86_64: W: no-documentation
cinnamon-control-center-devel.x86_64: W: no-documentation
cinnamon-control-center-devel.x86_64: E: incorrect-fsf-address /usr/include/cinnamon-control-center-1/libcinnamon-control-center/cc-panel.h
cinnamon-control-center-devel.x86_64: E: incorrect-fsf-address /usr/include/cinnamon-control-center-1/libcinnamon-control-center/cc-editable-entry.h
3 packages and 0 specfiles checked; 2 errors, 14 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint cinnamon-control-center-filesystem cinnamon-control-center cinnamon-cont 
rol-center-devel
cinnamon-control-center-filesystem.x86_64: W: no-documentation
cinnamon-control-center.x86_64: E: explicit-lib-dependency alsa-lib
cinnamon-control-center.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcinnamon-control-center.so.1.0.0 /lib64/libpthread.so.0
cinnamon-control-center.x86_64: W: conffile-without-noreplace-flag /etc/xdg/menus/cinnamoncc.menu
cinnamon-control-center.x86_64: W: conffile-without-noreplace-flag /etc/xdg/autostart/cinnamon-sound-applet.desktop

Not applicable!

cinnamon-control-center.x86_64: W: no-manual-page-for-binary cinnamon-sound-applet
cinnamon-control-center.x86_64: W: no-manual-page-for-binary cinnamon-control-center
cinnamon-control-center.x86_64: W: desktopfile-without-binary /usr/share/applications/cinnamon-user-accounts-panel.desktop cinnamon-settings
cinnamon-control-center.x86_64: W: desktopfile-without-binary /usr/share/applications/cinnamon-color-panel.desktop cinnamon-settings
cinnamon-control-center.x86_64: W: desktopfile-without-binary /usr/share/applications/cinnamon-display-panel.desktop cinnamon-settings
cinnamon-control-center.x86_64: W: desktopfile-without-binary /usr/share/applications/cinnamon-region-panel.desktop cinnamon-settings
cinnamon-control-center.x86_64: W: desktopfile-without-binary /usr/share/applications/cinnamon-network-panel.desktop cinnamon-settings
cinnamon-control-center.x86_64: W: desktopfile-without-binary /usr/share/applications/cinnamon-sound-nua-panel.desktop cinnamon-settings
cinnamon-control-center.x86_64: W: desktopfile-without-binary /usr/share/applications/cinnamon-power-panel.desktop cinnamon-settings
cinnamon-control-center.x86_64: W: desktopfile-without-binary /usr/share/applications/cinnamon-universal-access-panel.desktop cinnamon-settings
cinnamon-control-center-devel.x86_64: W: no-documentation
cinnamon-control-center-devel.x86_64: E: incorrect-fsf-address /usr/include/cinnamon-control-center-1/libcinnamon-control-center/cc-panel.h
cinnamon-control-center-devel.x86_64: E: incorrect-fsf-address /usr/include/cinnamon-control-center-1/libcinnamon-control-center/cc-editable-entry.h
3 packages and 0 specfiles checked; 3 errors, 15 warnings.
# echo 'rpmlint-done:'



Requires
--------
cinnamon-control-center-filesystem (rpmlib, GLIBC filtered):

cinnamon-control-center (rpmlib, GLIBC filtered):
    /bin/sh
    accountsservice
    cinnamon-control-center-filesystem(x86-64)
    cinnamon-settings-daemon
    config(cinnamon-control-center)
    cups-pk-helper
    dbus-x11
    glx-utils
    gnome-desktop3
    gnome-icon-theme
    gnome-icon-theme-symbolic
    gnome-menus
    hicolor-icon-theme
    iso-codes
    libX11.so.6()(64bit)
    libXrandr
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libcanberra-gtk3.so.0()(64bit)
    libcanberra.so.0()(64bit)
    libcheese-gtk.so.23()(64bit)
    libcheese.so.7()(64bit)
    libcinnamon-control-center.so.1()(64bit)
    libcolord.so.1()(64bit)
    libcolordprivate.so.1()(64bit)
    libcrypt.so.1()(64bit)
    libdbus-glib-1.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgnome-desktop-3.so.7()(64bit)
    libgnome-menu-3.so.0()(64bit)
    libgnomekbd.so.8()(64bit)
    libgnomekbdui.so.8()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libkrb5.so.3()(64bit)
    libkrb5.so.3(krb5_3_MIT)(64bit)
    libm.so.6()(64bit)
    libnm-glib.so.4()(64bit)
    libnm-gtk.so.0()(64bit)
    libnm-util.so.2()(64bit)
    libnotify.so.4()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpolkit-gobject-1.so.0()(64bit)
    libpthread.so.0()(64bit)
    libpulse-mainloop-glib.so.0()(64bit)
    libpulse-mainloop-glib.so.0(PULSE_0)(64bit)
    libpulse.so.0()(64bit)
    libpulse.so.0(PULSE_0)(64bit)
    libsystemd-login.so.0()(64bit)
    libsystemd-login.so.0(LIBSYSTEMD_LOGIN_31)(64bit)
    libupower-glib.so.1()(64bit)
    libxklavier.so.16()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    nm-connection-editor
    redhat-menus
    rtld(GNU_HASH)

cinnamon-control-center-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    cinnamon-control-center(x86-64)
    libcinnamon-control-center.so.1()(64bit)
    pkgconfig(gio-2.0)
    pkgconfig(glib-2.0)
    pkgconfig(gtk+-3.0)



Provides
--------
cinnamon-control-center-filesystem:
    cinnamon-control-center-filesystem
    cinnamon-control-center-filesystem(x86-64)

cinnamon-control-center:
    cinnamon-control-center
    cinnamon-control-center(x86-64)
    config(cinnamon-control-center)
    libcinnamon-control-center.so.1()(64bit)
    libcolor.so()(64bit)
    libdisplay.so()(64bit)
    libnetwork.so()(64bit)
    libpower.so()(64bit)
    libregion.so()(64bit)
    libscreen.so()(64bit)
    libsoundnua.so()(64bit)
    libuniversal-access.so()(64bit)
    libuser-accounts.so()(64bit)

cinnamon-control-center-devel:
    cinnamon-control-center-devel
    cinnamon-control-center-devel(x86-64)
    pkgconfig(libcinnamon-control-center)



Unversioned so-files
--------------------
cinnamon-control-center: /usr/lib64/cinnamon-control-center-1/panels/libcolor.so
cinnamon-control-center: /usr/lib64/cinnamon-control-center-1/panels/libdisplay.so
cinnamon-control-center: /usr/lib64/cinnamon-control-center-1/panels/libnetwork.so
cinnamon-control-center: /usr/lib64/cinnamon-control-center-1/panels/libpower.so
cinnamon-control-center: /usr/lib64/cinnamon-control-center-1/panels/libregion.so
cinnamon-control-center: /usr/lib64/cinnamon-control-center-1/panels/libscreen.so
cinnamon-control-center: /usr/lib64/cinnamon-control-center-1/panels/libsoundnua.so
cinnamon-control-center: /usr/lib64/cinnamon-control-center-1/panels/libuniversal-access.so
cinnamon-control-center: /usr/lib64/cinnamon-control-center-1/panels/libuser-accounts.so

Source checksums
----------------
http://leigh123linux.fedorapeople.org/pub/cinnamon-control-center/source/cinnamon-control-center-1.9.0.git430927a.tar.gz :
  CHECKSUM(SHA256) this package     : a8789a243d36d244bcabdfdbdc971dc86e360a10e907a2dede71ef7ed336cc2b
  CHECKSUM(SHA256) upstream package : a8789a243d36d244bcabdfdbdc971dc86e360a10e907a2dede71ef7ed336cc2b


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 986567
Comment 5 leigh scott 2013-07-24 06:37:34 EDT
New Package SCM Request
=======================
Package Name: cinnamon-control-center
Short Description: Utilities to configure the Cinnamon desktop
Owners: leigh123linux
Branches: f19
InitialCC:
Comment 6 Gwyn Ciesla 2013-07-24 08:01:36 EDT
Git done (by process-git-requests).
Comment 7 Michael Schwendt 2013-09-28 17:33:24 EDT
A few unowned directories:

  %{_datadir}/cinnamon-control-center/sounds/cinnamon-sounds-default.xml

The "sounds" directory.

  %{_datadir}/sounds/cinnamon/default/*/*.ogg

The "cinnamon" directory and likely all its subdirs.

  %{_libdir}/cinnamon-control-center-1/panels/libcolor.so

The "panels" dir.
Comment 8 leigh scott 2013-09-28 19:43:55 EDT
(In reply to Michael Schwendt from comment #7)
> A few unowned directories:
> 
>   %{_datadir}/cinnamon-control-center/sounds/cinnamon-sounds-default.xml

This is owned by


%files filesystem
%dir %{_datadir}/cinnamon-control-center/
%dir %{_datadir}/cinnamon-control-center/sounds/


> 
> The "sounds" directory.
> 
>   %{_datadir}/sounds/cinnamon/default/*/*.ogg
> 
> The "cinnamon" directory and likely all its subdirs.

I missed that, but it's gone now


> 
>   %{_libdir}/cinnamon-control-center-1/panels/libcolor.so

This is owned by

%dir %{_libdir}/cinnamon-control-center-1/

> 
> The "panels" dir.
Comment 9 Michael Schwendt 2013-09-28 20:25:42 EDT
Can't confirm:

# repoquery --whatprovides /usr/share/cinnamon-control-center/sounds
#

# repoquery --whatprovides /usr/lib64/cinnamon-control-center-1/panels
#

# yum list cinnamon-control-center-filesystem
Loaded plugins: langpacks, refresh-packagekit
Available Packages
cinnamon-control-center-filesystem.i686     1.9.0-0.14.git31ce8a8.fc20    fedora
cinnamon-control-center-filesystem.x86_64   1.9.0-0.14.git31ce8a8.fc20    fedora
Comment 10 leigh scott 2014-01-02 11:50:50 EST
Package Change Request
======================
Package Name: cinnamon-control-center
New Branches: epel7
Owners: leigh123linux
Comment 11 Gwyn Ciesla 2014-01-02 12:03:40 EST
No epel7 branches yet.
Comment 12 leigh scott 2014-01-12 08:18:04 EST
Package Change Request
======================
Package Name: cinnamon-control-center
New Branches: epel7
Owners: leigh123linux
Comment 13 Gwyn Ciesla 2014-01-13 08:29:22 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.